Package twisted :: Package python :: Module timeoutqueue :: Class TimeoutQueue |
[frames | no frames]

## Class TimeoutQueue

    Queue --+
            |
           TimeoutQueue

A thread-safe queue that supports timeouts

Method Summary
| `__init__(self, max)`
| ``wait`(self, timeout)` Wait until the queue isn't empty.
Inherited from Queue
| `_empty(...)`
| `_full(...)`
| `_get(...)`
| `_init(...)`
| `_put(...)`
| `_qsize(...)`
| `empty(...)`
| `full(...)`
| `get(...)`
| `get_nowait(...)`
| `put(...)`
| `put_nowait(...)`
| `qsize(...)`

Method Details

### wait(self, timeout) Wait until the queue isn't empty. Raises TimedOut if still empty.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:58 2003 | http://epydoc.sf.net